Uploaded image for project: 'Infrastructure'
  1. Infrastructure
  2. INFRA-92

Jenkins apt-get repository does not allow to install specific version of Jenkins

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Component/s: www
    • Labels:
    • Environment:
      Ubuntu 10.04
    • Similar Issues:

      Description

      I am trying to install specific version of Jenkins (1.427) via 'apt get jenkins=1.427' which fails with "E: Version '1.427' for 'jenkins' was not found"

      Here are details:
      Performing (as root):

      wget -q -O - http://pkg.jenkins-ci.org/debian/jenkins-ci.org.key | sudo apt-key add -
      sh -c 'echo deb http://pkg.jenkins-ci.org/debian binary/ > /etc/apt/sources.list.d/jenkins.list'
      apt-get update
      apt-get install jenkins=1.427
      

      Here is the output:

      root@test2:~# wget -q -O - http://pkg.jenkins-ci.org/debian/jenkins-ci.org.key | sudo apt-key add -
      OK
      root@test2:~# sh -c 'echo deb http://pkg.jenkins-ci.org/debian binary/ > /etc/apt/sources.list.d/jenkins.list'
      root@test2:~# apt-get update
      Get:1 http://pkg.jenkins-ci.org binary/ Release.gpg [198B]
      Get:2 http://pkg.jenkins-ci.org binary/ Release [2126B]                                             
      Get:3 http://pkg.jenkins-ci.org binary/ Packages [564B]                                                          
      Get:4 http://security.ubuntu.com lucid-security Release.gpg [198B]                                              
      Hit http://archive.ubuntu.com lucid Release.gpg                                                          
      Get:5 http://archive.ubuntu.com lucid-updates Release.gpg [198B]
      Get:6 http://security.ubuntu.com lucid-security Release [57.3kB]
      Hit http://archive.ubuntu.com lucid Release          
      Get:7 http://archive.ubuntu.com lucid-updates Release [57.3kB]
      Hit http://archive.ubuntu.com lucid/main Packages                      
      Hit http://archive.ubuntu.com lucid/restricted Packages
      Hit http://archive.ubuntu.com lucid/universe Packages
      Hit http://archive.ubuntu.com lucid/main Sources
      Hit http://archive.ubuntu.com lucid/restricted Sources
      Hit http://archive.ubuntu.com lucid/universe Sources
      Get:8 http://security.ubuntu.com lucid-security/main Packages [251kB]
      Get:9 http://archive.ubuntu.com lucid-updates/main Packages [541kB]
      Get:10 http://security.ubuntu.com lucid-security/restricted Packages [14B]
      Get:11 http://security.ubuntu.com lucid-security/universe Packages [113kB]      
      Get:12 http://security.ubuntu.com lucid-security/main Sources [73.1kB]                   
      Get:13 http://archive.ubuntu.com lucid-updates/restricted Packages [4011B]       
      Get:14 http://archive.ubuntu.com lucid-updates/universe Packages [251kB]         
      Get:15 http://archive.ubuntu.com lucid-updates/main Sources [208kB]          
      Get:16 http://security.ubuntu.com lucid-security/restricted Sources [14B]            
      Get:17 http://security.ubuntu.com lucid-security/universe Sources [28.3kB]           
      Get:18 http://archive.ubuntu.com lucid-updates/restricted Sources [1850B]            
      Get:19 http://archive.ubuntu.com lucid-updates/universe Sources [85.4kB]
      Fetched 1675kB in 2s (702kB/s)                         
      Reading package lists... Done
      root@test2:~# apt-get install jenkins=1.427
      Reading package lists... Done
      Building dependency tree       
      Reading state information... Done
      E: Version '1.427' for 'jenkins' was not found
      

        Attachments

          Activity

          ianformanek Ian Formanek created issue -
          ianformanek Ian Formanek made changes -
          Field Original Value New Value
          Summary ins apt-get repository does not allow to install specific version of Jenkins Jenkins apt-get repository does not allow to install specific version of Jenkins
          Description I am trying to install specific version of Jenkins (1.427) via 'apt get jenkins=1.427' which fails with "E: Version '1.427' for 'jenkins' was not found"

          Here are details:
          Performing (as root):

          wget -q -O - http://pkg.jenkins-ci.org/debian/jenkins-ci.org.key | sudo apt-key add -
          sh -c 'echo deb http://pkg.jenkins-ci.org/debian binary/ > /etc/apt/sources.list.d/jenkins.list'
          apt-get update
          apt-get install jenkins=1.427

          Here is the output:

          root@test2:~# wget -q -O - http://pkg.jenkins-ci.org/debian/jenkins-ci.org.key | sudo apt-key add -
          OK
          root@test2:~# sh -c 'echo deb http://pkg.jenkins-ci.org/debian binary/ > /etc/apt/sources.list.d/jenkins.list'
          root@test2:~# apt-get update
          Get:1 http://pkg.jenkins-ci.org binary/ Release.gpg [198B]
          Get:2 http://pkg.jenkins-ci.org binary/ Release [2126B]
          Get:3 http://pkg.jenkins-ci.org binary/ Packages [564B]
          Get:4 http://security.ubuntu.com lucid-security Release.gpg [198B]
          Hit http://archive.ubuntu.com lucid Release.gpg
          Get:5 http://archive.ubuntu.com lucid-updates Release.gpg [198B]
          Get:6 http://security.ubuntu.com lucid-security Release [57.3kB]
          Hit http://archive.ubuntu.com lucid Release
          Get:7 http://archive.ubuntu.com lucid-updates Release [57.3kB]
          Hit http://archive.ubuntu.com lucid/main Packages
          Hit http://archive.ubuntu.com lucid/restricted Packages
          Hit http://archive.ubuntu.com lucid/universe Packages
          Hit http://archive.ubuntu.com lucid/main Sources
          Hit http://archive.ubuntu.com lucid/restricted Sources
          Hit http://archive.ubuntu.com lucid/universe Sources
          Get:8 http://security.ubuntu.com lucid-security/main Packages [251kB]
          Get:9 http://archive.ubuntu.com lucid-updates/main Packages [541kB]
          Get:10 http://security.ubuntu.com lucid-security/restricted Packages [14B]
          Get:11 http://security.ubuntu.com lucid-security/universe Packages [113kB]
          Get:12 http://security.ubuntu.com lucid-security/main Sources [73.1kB]
          Get:13 http://archive.ubuntu.com lucid-updates/restricted Packages [4011B]
          Get:14 http://archive.ubuntu.com lucid-updates/universe Packages [251kB]
          Get:15 http://archive.ubuntu.com lucid-updates/main Sources [208kB]
          Get:16 http://security.ubuntu.com lucid-security/restricted Sources [14B]
          Get:17 http://security.ubuntu.com lucid-security/universe Sources [28.3kB]
          Get:18 http://archive.ubuntu.com lucid-updates/restricted Sources [1850B]
          Get:19 http://archive.ubuntu.com lucid-updates/universe Sources [85.4kB]
          Fetched 1675kB in 2s (702kB/s)
          Reading package lists... Done
          root@test2:~# apt-get install jenkins=1.427
          Reading package lists... Done
          Building dependency tree
          Reading state information... Done
          E: Version '1.427' for 'jenkins' was not found
          I am trying to install specific version of Jenkins (1.427) via 'apt get jenkins=1.427' which fails with "E: Version '1.427' for 'jenkins' was not found"

          Here are details:
          Performing (as root):

          {code}
          wget -q -O - http://pkg.jenkins-ci.org/debian/jenkins-ci.org.key | sudo apt-key add -
          sh -c 'echo deb http://pkg.jenkins-ci.org/debian binary/ > /etc/apt/sources.list.d/jenkins.list'
          apt-get update
          apt-get install jenkins=1.427
          {code}

          Here is the output:

          {code}
          root@test2:~# wget -q -O - http://pkg.jenkins-ci.org/debian/jenkins-ci.org.key | sudo apt-key add -
          OK
          root@test2:~# sh -c 'echo deb http://pkg.jenkins-ci.org/debian binary/ > /etc/apt/sources.list.d/jenkins.list'
          root@test2:~# apt-get update
          Get:1 http://pkg.jenkins-ci.org binary/ Release.gpg [198B]
          Get:2 http://pkg.jenkins-ci.org binary/ Release [2126B]
          Get:3 http://pkg.jenkins-ci.org binary/ Packages [564B]
          Get:4 http://security.ubuntu.com lucid-security Release.gpg [198B]
          Hit http://archive.ubuntu.com lucid Release.gpg
          Get:5 http://archive.ubuntu.com lucid-updates Release.gpg [198B]
          Get:6 http://security.ubuntu.com lucid-security Release [57.3kB]
          Hit http://archive.ubuntu.com lucid Release
          Get:7 http://archive.ubuntu.com lucid-updates Release [57.3kB]
          Hit http://archive.ubuntu.com lucid/main Packages
          Hit http://archive.ubuntu.com lucid/restricted Packages
          Hit http://archive.ubuntu.com lucid/universe Packages
          Hit http://archive.ubuntu.com lucid/main Sources
          Hit http://archive.ubuntu.com lucid/restricted Sources
          Hit http://archive.ubuntu.com lucid/universe Sources
          Get:8 http://security.ubuntu.com lucid-security/main Packages [251kB]
          Get:9 http://archive.ubuntu.com lucid-updates/main Packages [541kB]
          Get:10 http://security.ubuntu.com lucid-security/restricted Packages [14B]
          Get:11 http://security.ubuntu.com lucid-security/universe Packages [113kB]
          Get:12 http://security.ubuntu.com lucid-security/main Sources [73.1kB]
          Get:13 http://archive.ubuntu.com lucid-updates/restricted Packages [4011B]
          Get:14 http://archive.ubuntu.com lucid-updates/universe Packages [251kB]
          Get:15 http://archive.ubuntu.com lucid-updates/main Sources [208kB]
          Get:16 http://security.ubuntu.com lucid-security/restricted Sources [14B]
          Get:17 http://security.ubuntu.com lucid-security/universe Sources [28.3kB]
          Get:18 http://archive.ubuntu.com lucid-updates/restricted Sources [1850B]
          Get:19 http://archive.ubuntu.com lucid-updates/universe Sources [85.4kB]
          Fetched 1675kB in 2s (702kB/s)
          Reading package lists... Done
          root@test2:~# apt-get install jenkins=1.427
          Reading package lists... Done
          Building dependency tree
          Reading state information... Done
          E: Version '1.427' for 'jenkins' was not found
          {code}
          Hide
          gerbri Gerald Bringhurst added a comment -

          Are there any bad side affects if I use 'dpkg --install jenkins_1.459_all.deb' rather than
          not being able to use apt-get install jenkins=1.459

          Show
          gerbri Gerald Bringhurst added a comment - Are there any bad side affects if I use 'dpkg --install jenkins_1.459_all.deb' rather than not being able to use apt-get install jenkins=1.459
          Hide
          petehayes Peter Hayes added a comment -

          This is not related to the release plugin.

          Show
          petehayes Peter Hayes added a comment - This is not related to the release plugin.
          petehayes Peter Hayes made changes -
          Component/s core [ 15593 ]
          Hide
          ianformanek Ian Formanek added a comment -

          Yes, installing manually via dpkg and downloaded package works fine.

          Show
          ianformanek Ian Formanek added a comment - Yes, installing manually via dpkg and downloaded package works fine.
          Hide
          arangamani Kannan Manickam added a comment -

          Is there any plan on fixing this issue? The mirror for redhat/centos seems to be working just fine. This problem affects me as well. It looks like installing by downloading the package and via dpkg doesn't work anymore. It doesn't install all the dependencies.

          Show
          arangamani Kannan Manickam added a comment - Is there any plan on fixing this issue? The mirror for redhat/centos seems to be working just fine. This problem affects me as well. It looks like installing by downloading the package and via dpkg doesn't work anymore. It doesn't install all the dependencies.
          danielbeck Daniel Beck made changes -
          Project Jenkins [ 10172 ] Infrastructure [ 10301 ]
          Key JENKINS-12295 INFRA-92
          Issue Type Bug [ 1 ] Improvement [ 4 ]
          Workflow JNJira [ 142617 ] jira [ 156058 ]
          Affects Version/s current [ 10162 ]
          Component/s www [ 18921 ]
          Component/s core [ 15593 ]
          Component/s release [ 15622 ]
          Hide
          danielbeck Daniel Beck added a comment -

          Is a package repository issue, so I moved this to INFRA.

          Show
          danielbeck Daniel Beck added a comment - Is a package repository issue, so I moved this to INFRA.
          Hide
          efekthalo Adam Guja added a comment -

          not working with http://pkg.jenkins-ci.org/debian-stable/ and jenkins=1.532.2 either

          Show
          efekthalo Adam Guja added a comment - not working with http://pkg.jenkins-ci.org/debian-stable/ and jenkins=1.532.2 either
          Hide
          jlucasps Joao Lucas Santana added a comment -

          Only works for most recent releases, either stable or not. At this moment, 1.599 and 1.580.3 (stable)

          Show
          jlucasps Joao Lucas Santana added a comment - Only works for most recent releases, either stable or not. At this moment, 1.599 and 1.580.3 (stable)
          Hide
          alskor Alex Java added a comment -
          1. apt-get install jenkins=1.580.3
            Reading package lists... Done
            Building dependency tree
            Reading state information... Done
            E: Version '1.580.3' for 'jenkins' was not found
          Show
          alskor Alex Java added a comment - apt-get install jenkins=1.580.3 Reading package lists... Done Building dependency tree Reading state information... Done E: Version '1.580.3' for 'jenkins' was not found
          abayer Andrew Bayer made changes -
          Assignee Peter Hayes [ petehayes ] Andrew Bayer [ abayer ]
          abayer Andrew Bayer made changes -
          Labels community-bee
          Hide
          larsvonk Lars Vonk added a comment -

          Hi I am experiencing the same issue. Will this be fixed any time soon?

          Show
          larsvonk Lars Vonk added a comment - Hi I am experiencing the same issue. Will this be fixed any time soon?
          Hide
          j5awry John Chittum added a comment -

          any update on this? we have to be able to install specific versions of 1.X for restoration scripts. Right now it's adding a large manual step to our process.

          Show
          j5awry John Chittum added a comment - any update on this? we have to be able to install specific versions of 1.X for restoration scripts. Right now it's adding a large manual step to our process.

            People

            • Assignee:
              abayer Andrew Bayer
              Reporter:
              ianformanek Ian Formanek
            • Votes:
              12 Vote for this issue
              Watchers:
              12 Start watching this issue

              Dates

              • Created:
                Updated: